Part Line/de: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "Beispiel:")
 
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}


{{Docnav/de
{{Docnav/de
Line 14: Line 13:
|Name=Part Line
|Name=Part Line
|Name/de=Part Linie
|Name/de=Part Linie
|MenuLocation=Part → [[Part_Primitives/de|Erstelle Grundelemente]] → Linie
|MenuLocation=Formteil → [[Part_Primitives/de|Erstelle Grundelemente]] → Linie
|Workbenches=[[Part_Workbench/de|Part]], [[OpenSCAD_Workbench/de|OpenSCAD]]
|Workbenches=[[Part_Workbench/de|Part]], [[OpenSCAD_Workbench/de|OpenSCAD]]
|SeeAlso=[[Part_Primitives/de|Part Grundelemente]]
|SeeAlso=[[Part_Primitives/de|Part Grundelemente]]
Line 20: Line 19:


==Beschreibung==
==Beschreibung==

A [[Image:Part_Line.svg|24px]] '''Part Linie''' ist eine parametrischer Linie, die mit dem Befehl [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/de|Part Grundelemente]] erstellt werden kann. Die Koordinaten ihrer Start- und Endpunkte beziehen sich auf das in seiner {{PropertyData/de|Placement}} festgelegte Koordinatensystem.

[[Image:Part_Line_Example.png|400px]]


==Anwendung==
==Anwendung==


===Geometrische Grundelemente===
Siehe [[Part_Primitives/de#Anwendung|Part Grundelemente]].
{|
| [[File:PartLinePrimitivesOptions_it.png]]
|
Linie
====Parameter====
:
* {{Parameter|Startpunkt}}
* {{Parameter|Endpunkt}}
====Lage====
*
*
|}


===Eigenschaft===
==Eigenschaften==

{|
Siehe auch: [[Property_editor/de|Eigenschafteneditor]].
| [[File:PartLineProperty_it.png]]

|
Ein Part-Linie-Objekt wird von einem [[Part_Feature/de|Part-Formelement]] abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:
==== Ansicht ====

..
==== Daten ====
===Daten===

{{KEY|Base}}<br />
{{TitleProperty|Attachment}}
* {{PropertyData|Label}}:

* {{PropertyData|Placement}}: [[Placement/de|Positionierung]]
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
{{KEY|Vertex 1 Start}}<br />

* {{PropertyData|X1}} :
{{TitleProperty|Vertex 1 - Start}}
* {{PropertyData|X1}} :

* {{PropertyData|X1}} :
* {{PropertyData|X1|Distance}}: The X coordinate of the start point of the line. The default is {{Value|0mm}}.
{{KEY|Vertex 2 Finish}}<br />
* {{PropertyData|Y1|Distance}}: The Y coordinate of the start point of the line. The default is {{Value|0mm}}.
* {{PropertyData|X2}} :
* {{PropertyData|Z1|Distance}}: The Z coordinate of the start point of the line. The default is {{Value|0mm}}.
* {{PropertyData|X2}} :

* {{PropertyData|X2}} :
{{TitleProperty|Vertex 2 - Finish}}
|}

{{clear}}
* {{PropertyData|X2|Distance}}: The X coordinate of the end point of the line. The default is {{Value|10mm}}.
* {{PropertyData|Y2|Distance}}: The Y coordinate of the end point of the line. The default is {{Value|10mm}}.
* {{PropertyData|Z2|Distance}}: The Z coordinate of the end point of the line. The default is {{Value|10mm}}.

==Skripten==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Line can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
}}

* Where {{Incode|"myLine"}} is the name for the object.
* The function returns the newly created object.

Beispiel:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()
}}




Line 68: Line 93:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 06:36, 21 April 2022

Part Linie

Menüeintrag
Formteil → Erstelle Grundelemente → Linie
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

A Part Linie ist eine parametrischer Linie, die mit dem Befehl Part Grundelemente erstellt werden kann. Die Koordinaten ihrer Start- und Endpunkte beziehen sich auf das in seiner Daten-EigenschaftPlacement festgelegte Koordinatensystem.

Anwendung

Siehe Part Grundelemente.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Linie-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • DatenX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • DatenY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • DatenZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • DatenX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • DatenY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • DatenZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myLine" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()